GCLI-MILESTONES(1)

NAME
gcli milestones - List and manage milestones in various Git Forges

SYNOPSIS
gcli [-o owner -r repo]
gcli [-o owner -r repo] [-i id]
gcli create [-o owner -r repo] -t title [-d description]

DESCRIPTION
The gcli command can be used to work with milestones on various git(1) forges. You can list, create, modify or delete milestons.

OPTIONS

-i, --id id
    Operate on a milestone with the given id.

-o, --owner owner
    Work with milestones on a repository of the given owner.

-r, --repo repo
    Work with milestones on the given repository.

-t, --title title
    Create a milestone with the given title. This option is mandatory when creating a milestone.

-d, --description description
    Create the milestone with the given description.

ACTIONS
When operating on a single milestone you may use one or more of the following actions:

all Print both general status info and a list of issues related to the given milestone.

status
    Print general metadata and information about the milestone.

issues
    Print a list of issues attached to the milestone.

delete
    Delete this milestone.

EXAMPLES
Print a list of milestones for the current autodetected forge:

    $ gcli milestones

Print details about the milestone with the ID 42:

    $ gcli milestones -i 42 status

Create a new milestone with the title foobar:

    $ gcli milestones create -t foobar

Delete milestone number 420 in vim/vim on Github:

    $ gcli -t github milestones -i 420 delete

SEE ALSO
git(1), gcli(1)

AUTHORS
Nico Sonack aka. herrhotzenplotz <nsonack@herrhotzenplotz.de> and contributors.

BUGS
The delete subcommand deletes the milestone without asking for confirmation.

Please report bugs via E-Mail to ~herrhotzenplotz/gcli-discuss@lists.sr.ht.

Alternatively you can report them on any of the forges linked at https://herrhotzenplotz.de/gcli. However, the preferred and quickest method is to use the mailing list.